Uploaded image for project: 'Moodle app'
  1. Moodle app
  2. MOBILE-1861

Gulp build Unsuccessful after modifying appium version to "^1.4.0 <1.6.0"

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Not a bug
    • Affects Version/s: 3.1.3
    • Fix Version/s: None
    • Component/s: Gulp
    • Labels:
    • Affected Branches:
      MOODLE_31_STABLE

      Description

      I am trying to setup the Mobile Dev env.

      There is an issue with the appium-windows-driver and quick fix for that is restricting the version by "^1.4.0 <1.6.0".

      Now there is an issue with gulp build. It is being terminated midway with error.

      Gulp build log is attached below.

      [10:18:40] Starting 'build'...
      [10:18:40] Starting 'sass-build'...
      [10:18:40] Starting 'lang'...
      [10:18:45] Finished 'sass-build' after 4.72 s
      [10:18:45] Starting 'sass'...
       
      stream.js:94
            throw er; // Unhandled stream error in pipe.
                  ^
      Error: file to import not found or unreadable: www/lib/ionic/scss/ionic
      
      

      Steps to Reproduce :

      • Start the Setup the Moodle Mobile Dev env from here
      • Fix the appium-windows-driver by modilfy the appium version in package.json to "appium": "^1.4.11 <1.6.0"
      • Proceed to gulp build process.

      What I expected : Smooth setting up of the environment

      What actually happened : Facing quite a bit of issues, this being the third one .

      Whats mysterical is, I had already setup the entire env without any errors 24 hrs ago, and its running well then. Now when I am starting server, ionic din't even serve. So, I started the setup from scratch and many issues are occurring now. First, the 'lib-sass' issue, next appium-windows-driver' issue, now gulp build.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            magician03 Diwakar Moturu
            Participants:
            Component watchers:
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: